//IRCOM Group - A. Layec

//REVISION HISTORY :
// $Log$

//Script for generate all palettes of modnum
//suppose that macro libraries of scicos blocks
//are already build

lines(0);
getf(MODNUM+'/macros/build_util/generate_palette.sci');
getf(MODNUM+'/macros/build_util/build_lib.sci');

//Build and load signal macro library
build_lib('/macros/signal','mod_num_signal');
mod_num_signal=lib(MODNUM+'/macros/signal/');
//Load scicos_block libraries
mod_num_tools_pal=lib(MODNUM+'/macros/scicos_blocks/Tools/');
mod_num_sources_pal=lib(MODNUM+'/macros/scicos_blocks/Sources/');
mod_num_sinks_pal=lib(MODNUM+'/macros/scicos_blocks/Sinks/');
mod_num_pll_pal=lib(MODNUM+'/macros/scicos_blocks/Pll/');
mod_num_nonlinear_pal=lib(MODNUM+'/macros/scicos_blocks/NonLinear/');
mod_num_communication_pal=lib(MODNUM+'/macros/scicos_blocks/Communication/');

pal=['Tools';'Sources';'Sinks';'Pll';'NonLinear';'Communication'];
rep_pal='/macros/scicos_blocks/'+pal;
for i=1:size(rep_pal,"*")
  files_sci=basename(listfiles(MODNUM+rep_pal(i)+"/*.sci"));
  generate_palette(files_sci,MODNUM+'/macros/scicos_blocks/',pal(i));
end