//dessin_scs_m
//fonction qui dessine le contenu graphique 
//d'une structure scs_m dans un fichier .eps
//
//Entre scs_m : structure de donnes scicos
//       name : nom du fichier produit
//       flag : 'html' ou 'guide'
function dessin_scs_m(scs_m,name,flag)
  //load scicos variable and library
  bak=get('figure_style');
  set("figure_style","old");
  olds=get('old_style');
  set('old_style','on');

  //load scicos variable and library
  load SCI/macros/scicos/lib
  exec(loadpallibs,-1)
  %scicos_prob=%f;
  alreadyran=%f
  needcompile=4
  %zoom=1.8;
  colmap=xget('colormap');
   
  mdo_export(scs_m,name,flag)
   
  //restore figure_style  
  gg=xget('window')  // for bug in figure_style and winsid
  xset('window',0) // for bug in figure_style and winsid
  set('figure_style',bak);
  set('old_style',stripblanks(olds));
  xset('window',gg) // for bug in figure_style and winsid  
endfunction
