//generate_xml_file
//fonction qui cre des fichiers d'aide xml
//Entre : lisf est une liste de nom de fichier sans extension: CAN_f, Linear ou synthe
//         flag est un drapeau(pour l'instant de taille 1): 
//                'block' pour une fonction d'interface scicos
//                'pal' pour un fichier palette scicos (cosf)
//                'diagr' pour un diagramme de simulation scicos 
//                'scilib' pour une librairie de fonctions scilab
//                'sci' pour une fonction scilab.
//                'sim' pour un script de simulation scilab
//                'rout' pour une routine bas-niveau
function generate_xml_file(lisf,flag,lang)

[lsh,rsh]=argn(0)
if rsh<3 then
  if ~exists('lang') then
   lang='eng'
  elseif lang<>'eng' & lang<>'fr' then
   lang='eng'
  end
end

for i=1:size(lisf,1)
  if fileinfo(xml_path+lang+'/'+lisf(i,1)+'.xml')==[] then
     printf("%s.xml not found.\n",lisf(i,1))
     printf("Generate an empty xml file... ");
     txt=generate_xml(lisf(i,1),flag,lang) 
     mputl(txt,xml_path+lang+'/'+lisf(i,1)+'.xml')
     printf("Done\n");
  else
     printf("%s.xml already exists.\n",lisf(i,1))
  end
end

endfunction 
