//IMODULOB_f Scicos Integer Modulob function block
//Classical interface function ver1.0 - scilab-2.7
//19 octobre 2003 - IRCOM GROUP - Author : A.Layec
function [x,y,typ]=IMODULOB_f(job,arg1,arg2)
x=[];y=[];typ=[]
select job
case 'plot' then
  standard_draw(arg1)
case 'getinputs' then
  [x,y,typ]=standard_inputs(arg1)
case 'getoutputs' then
  [x,y,typ]=standard_outputs(arg1)
case 'getorigin' then
  [x,y]=standard_origin(arg1)
case 'set' then
   x=arg1;
   graphics=arg1.graphics;model=arg1.model;
   exprs=graphics.exprs;

   while %t do

      [ok,nbit,exprs]=getvalue('Scicos Integer Modulob function block',...
      ['Number of bit'],list('vec',-1),exprs);

      if ~ok then break,end;
      Nu=size(nbit,'*');if Nu==0 then Nu=[],end

      if ok then
          graphics.exprs=exprs
          nbit=int(nbit)
          model.ipar=nbit
          model.in=Nu;model.out=Nu
          x.graphics=graphics; x.model=model;
          break;
      end
   end

case 'define' then
  Nu=1;
  nbit=4;

  model=scicos_model()
  model.sim=list('imodulob',2)
  model.in=Nu
  model.out=Nu
  model.evtin=[]
  model.evtout=[]
  model.dstate=[]
  model.rpar=[]
  model.ipar=nbit
  model.blocktype='d'
  model.firing=[]
  model.dep_ut=[%t %f]

  gr_i=['thick=xget(''thickness'')'
        'pat=xget(''pattern'')'
        'fnt=xget(''font'')'
        'xarrows(orig(1)+[0.053;0.982]*sz(1),orig(2)+[0.223;0.22]*sz(2),4,-1)'
        'xarrows(orig(1)+[0.511;0.511]*sz(1),orig(2)+[0.031;0.962]*sz(2),4,-1)'
        'xpoly(orig(1)+[0.078;0.158;0.158;0.511;0.511;0.844;0.844;0.927]*sz(1),orig(2)+[0.692;0.805;0.223;0.814;0.223;0.799;0.223;0.355]*sz(2),"'lines"')'
        'xset(''thickness'',thick)'
        'xset(''pattern'',pat)'
        'xset(''font'',fnt(1),fnt(2))']
  exprs=string(nbit)
  x=standard_define([2 2],model,exprs,gr_i)
   x.graphics.id="IMODULOB"
end
endfunction