/* comp_c subroutine
 * sign comparison computation
 * IRCOM GROUP - Author : A.Layec
 */
 
/* REVISION HISTORY :
 * $Log$
 */
 
#include "mod_num_lib.h"

/* comp_c routine de calcul de comparaison de signe
 * Entres :
 * n    : taille des vecteurs
 * amp  : amplitude des sorties (scalaire)
 * u    : vecteur d'entre
 * Sorties :
 * y   : vecteur de sortie
 */
 
void comp_c(int *n,double *ampl,double *u,double *y)
{
 int i;
 
 for(i=0;i<(*n);i++)
 {
  if(u[i]>0) y[i]=(*ampl);
  else y[i]=-(*ampl);
 }
 return;
}
