/* overlapdr_c subroutine
 * Orverlapping operation
 * for real value
 * IRCOM GROUP - Author : A.Layec
 */
 
/* REVISION HISTORY :
 * $Log$
 */
 
#include "mod_num_lib.h"

/* overlapadr_c routine de calcul du mot overlapp partie relle
 *
 * m1      : taille du vecteur d'entre
 * n       : longeur du mot  conserver
 * nb_coef : taille du mot excdentaire
 * u_r     : vecteur d'entre de taille m1 (m1>n)
 * z_r     : vecteur de sortie de taille nb_coef
 * 
 * utilise : dcopy (BLAS)
 * 
 */
 
void overlapadr_c(int *m1,int *n,int *nb_coef,double *u_r,double *z_r)
{
 /*dclaration*/
 int i,l,k;

 /*Ajoute les nz lments prcdents au dbut du vecteur y_r*/
 for(i=0;i<(*nb_coef);i++) u_r[i]=u_r[i]+z_r[i];

 /*Recopie les nz xcdentaires de z_res_r dans z*/
 F2C(dcopy)((l=(*nb_coef),&l),&u_r[(*n)],(k=1,&k),&z_r[0],(k=1,&k));

 return;
}
