/* overlaprsr_c subroutine
 * Vectorial Right Shift Register
 * with memory word
 * IRCOM GROUP - Author : A.Layec
 */
 
/* REVISION HISTORY :
 * $Log$
 */
 
#include "mod_num_lib.h"

/* overlaprsr_c routine de calcul de dcalage vectoriel  droite avec
 * mot mmoire
 *
 * Entres : 
 * n : taille du vecteur
 * m : longueur du dcalage (taille du mot mmoire)
 * u : adresse de dpart du vecteur d'entre
 * Sorties :
 * y : adresse de dpart du vecteur de sortie
 * Entre/Sortie :
 * z : adresse de dpart du vecteur mmoire
 */
 
void overlaprsr_c(int *n,int *m,double *u,double *y,double *z)
{
 /*Dclaration des variables compteurs*/
 int i;
 
 for(i=0;i<(*m);i++)
 {
    y[i]=z[i];
    z[i]=u[((*n)-(*m))+i];
 }
 for(i=(*m);i<(*n);i++) y[i]=u[i-(*m)];
 
 return;
}
