//latexsubst
//Fonction qui effectue la conversion
//de caractres speciaux d'un tableau
//de chane de caractres pour un texte latex
//Entre fields : tableau de chane de caractres
//Sortie fields : tableau de chane de caractres
function fields=latexsubst(fields)
  
  //rajout pour compatibilit
  //avec return_xml_desc3
  fields=strsubst(fields,'<VERB>','textbf{')
  fields=strsubst(fields,'</VERB>','}')
  fields=strsubst(fields,'<LINK>','textbf{')
  fields=strsubst(fields,'</LINK>','}')
  fields=strsubst(fields,'<VERBATIM><![CDATA[','\begin{verbatim}')
  fields=strsubst(fields,']]></VERBATIM>','\end{verbatim}')
  
  fields=strsubst(fields,'','\""o')
  fields=strsubst(fields,'_','\_')
  fields=strsubst(fields,'%','\%')
  fields=strsubst(fields,'&','\&')
  fields=strsubst(fields,'^','\^')
  fields=strsubst(fields,'<','$<$')
  fields=strsubst(fields,'>','$>$')
endfunction
