//UPSMPLFFT_f Scicos Oversampling by fft method
//Classical interface function ver1.0 - scilab-2.7
//23 dcembre 2003 - IRCOM GROUP - Author : A.Layec
function [x,y,typ]=UPSMPLFFT_f(job,arg1,arg2)
x=[];y=[];typ=[]
select job
case 'plot' then
  standard_draw(arg1)
case 'getinputs' then
  [x,y,typ]=standard_inputs(arg1)
case 'getoutputs' then
  [x,y,typ]=standard_outputs(arg1)
case 'getorigin' then
  [x,y]=standard_origin(arg1)
case 'set' then
   x=arg1;
   graphics=arg1.graphics;model=arg1.model;
   exprs=graphics.exprs;

   while %t do

      [ok,nu,nech,exprs]=getvalue('Scicos Oversampling fft',...
      ['Size of input';'Oversampl factor'],list('vec',1,'vec',1),exprs)

      if ~ok then break,end;

      if ok then
          graphics.exprs=exprs
          model.in=[nu;nu];model.out=[nu*nech;nu*nech]
          model.ipar=nech
          x.graphics=graphics;x.model=model
          break;
      end
   end

case 'define' then
  nu=8
  nech=8


  model=scicos_model()
  model.sim=list('surechfft',2)
  model.in=[nu;nu]
  model.out=[nu*nech;nu*nech]
  model.evtin=[]
  model.evtout=[]
  model.dstate=[]
  model.rpar=[]
  model.ipar=nech
  model.blocktype='d'
  model.firing=[]
  model.dep_ut=[%f %f]

  gr_i=['txt=[''UPSMPL'';''FFT''];';
    'xstringb(orig(1),orig(2),txt,sz(1),sz(2),''fill'');']
  exprs=[string(nu),string(nech)]
  x=standard_define([2 2],model,exprs,gr_i)
end
endfunction
