//return_block_cos
//Entre name : chemin+nom du fichier cos
//              ex : name=MODNUM+'/scs_diagr/dyna/chua/chua.cos'
//      libn : un identifiant de libraire (ex 'mod_num')
//      dbl : un drapeau pour les doublons
//sortie tt : La liste des blocks
function tt=return_block_cos(name,libn,dbl)
  if fileinfo(name)<>[] then
    //Vrifie cohrence des param
    [lsh,rsh]=argn(0)
    if rsh<3 then dbl='', end;
    if rsh<2 then libn='', end;
    if ~exists('libn') then libn='', end
    if ~exists('dbl') then dbl='', end
    
    //load scicos library
    load SCI/macros/scicos/lib

    //charge le ficier cos
    load(name);
   
    //appel return_block_name
    tt=return_block_name(scs_m,libn,dbl)
   
  else
    printf("Unable to find cos file");
  end
endfunction
